package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.client.AssetClient;
import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * 资产管理
 *
 * @author igl
 * @date 2024/05/26 16:08
 **/
@Slf4j
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class AssetController {

    private final AssetClient assetClient;
    /**
     * 获取商家端钱包信息
     *
     * @param merchantId 商家id
     */
    @GetMapping("/asset/merchant/{merchantId}")
    public MerchantAssetDTO getMerchantAsset(@PathVariable("merchantId") Long merchantId) {
        return this.assetClient.getMerchantAsset(merchantId);
    }
}
