package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.client.CommissionConfigClient;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 分佣抽成配置接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CommissionConfigController {
    private final CommissionConfigClient commissionConfigClient;

    /**
     * 分佣抽成配置列表
     *
     * @param
     */
    @PostMapping("/commissionConfig/list")
    public void listCommissionConfig() {
        this.commissionConfigClient.listCommissionConfig();
    }


}
