package com.chelvc.cloud.maintain.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.HelpCategoryClient;
import com.chelvc.cloud.vehicle.client.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.client.param.HelpCategoryModifyParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 客服中心接口
 *
 * @author liude
 * @date 2024/3/4
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class HelpCategoryController {
    private final HelpCategoryClient helpCategoryClient;

    /**
     * 客服中心问题查询
     *
     * @param
     */
    @PostMapping("/problem/list")
    public List<HelpCategoryDTO> selectHelpCategoryList(HelpCategoryModifyParam helpCategory) {
        return this.helpCategoryClient.selectHelpCategoryList(helpCategory);
    }


}
