package com.chelvc.cloud.maintain.controller;

import javax.validation.Valid;

import com.chelvc.cloud.vehicle.client.IncomeRecordClient;
import com.chelvc.cloud.vehicle.client.param.IncomeRecordModifyParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 收益记录接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class IncomeRecordController {
    private final IncomeRecordClient incomeRecordClient;

    /**
     * 添加收益记录
     *
     * @param
     */
    @PostMapping("/incomeRecord/")
    public void addIncomeRecord(@Valid IncomeRecordModifyParam param) {
        this.incomeRecordClient.addIncomeRecord(param);
    }

    /**
     * 收益记录详细列表
     */
    @PostMapping("/incomeRecord/list")
    public void listIncomeRecord() {
        this.incomeRecordClient.listIncomeRecord();
    }


}
